from django.db import models
from secrets import token_urlsafe

# Create your models here.

class Playlist(models.Model):
    spreadsheet_id = models.CharField(max_length=44, primary_key=True)
    field_indices = models.JSONField()

class Artist(models.Model):
    name = models.TextField()
    genre = models.TextField()
    link_1 = models.TextField(blank=True)
    link_2 = models.TextField(blank=True)
    origin = models.TextField(blank=True)
    comment = models.TextField(blank=True)
    playlist = models.ForeignKey(Playlist, on_delete=models.CASCADE)

def session_token():
    return token_urlsafe(32)

class Session(models.Model):
    token = models.CharField(max_length=43, default=session_token, primary_key=True)
    offset = models.PositiveIntegerField(default=0)
    last_break = models.DateTimeField(auto_now_add=True)
    playlist = models.ForeignKey(Playlist, on_delete=models.CASCADE)
