from django.conf import settings
from googleapiclient.discovery import build

service = build('sheets', 'v4', developerKey=settings.GOOGLE_API_KEY)

def get_sheet_data(spreadsheet_id, sheet=0):
    spreadsheet = service.spreadsheets().get(spreadsheetId=spreadsheet_id).execute()

    sheet = spreadsheet['sheets'][sheet]['properties']
    sheet_name = sheet['title']
    grid_properties = sheet['gridProperties']

    req = service.spreadsheets().values().get(spreadsheetId=spreadsheet_id, range=f"{sheet_name}!R1C1:R{grid_properties['rowCount']}C{grid_properties['columnCount']}", majorDimension='ROWS')
    return req.execute()['values']
