# Generated by Django 4.1.4 on 2022-12-20 21:28

from django.db import migrations, models
import django.db.models.deletion
import musicrate.vote.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("core", "0004_alter_artist_link_1_alter_artist_link_2"),
    ]

    operations = [
        migrations.CreateModel(
            name="Participant",
            fields=[
                (
                    "token",
                    models.CharField(
                        default=musicrate.vote.models.participant_token,
                        max_length=43,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "session",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="core.session"
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Rating",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "value",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("10", "sehr gut"),
                            ("9", "ziemlich gut"),
                            ("8", "gut"),
                            ("7", "eher gut"),
                            ("6", "ok"),
                            ("5", "naja"),
                            ("4", "eher schlecht"),
                            ("3", "schlecht"),
                            ("2", "ziemlich schlecht"),
                            ("1", "sehr schlecht"),
                        ],
                        max_length=2,
                    ),
                ),
                (
                    "artist",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="core.artist"
                    ),
                ),
                (
                    "participant",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="vote.participant",
                    ),
                ),
            ],
        ),
        migrations.AddConstraint(
            model_name="rating",
            constraint=models.UniqueConstraint(
                fields=("artist", "participant"), name="unique_rating"
            ),
        ),
    ]
